#include "vision.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> getVisionPattern1d(){
    return {3,1,1,1,2,1};
}

int getMove1d(vector<int> v){
    int x=(int)v.size();
    if (x==3){
		int mn=min(v[0],v[2]),mx=max(v[0],v[2]);
		if (mn==1 && mx==1) return 0;
    	if (mn==2 && mx==3) return (v[0]==3?0:2);
    	if (mn==1 && mx==2) return (v[0]==2?0:2);
    	if (mn==1 && mx==3) return (v[0]==3?0:2);
	}
	if (x==5){
		return (v[0]==1?4:0);
	}
	return (v[1]==2?6:0);
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
